
From: "Andi Kleen" <ak@suse.de>

Move HPET selection into processor specific options.

Pointed out by Pavel Roskin
Fix the help text up a bit.

Signed-off-by: Andi Kleen <ak@suse.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/x86_64/Kconfig |   32 +++++++++++++++-----------------
 1 files changed, 15 insertions(+), 17 deletions(-)

diff -puN arch/x86_64/Kconfig~x86_64-move-hpet-selection-into-processor-specific arch/x86_64/Kconfig
--- 25/arch/x86_64/Kconfig~x86_64-move-hpet-selection-into-processor-specific	Wed Mar 23 15:38:24 2005
+++ 25-akpm/arch/x86_64/Kconfig	Wed Mar 23 15:38:24 2005
@@ -53,23 +53,6 @@ config EARLY_PRINTK
 	bool
 	default y
 
-config HPET_TIMER
-	bool
-	default y
-	help
-	  Use the IA-PC HPET (High Precision Event Timer) to manage
-	  time in preference to the PIT and RTC, if a HPET is
-	  present.  The HPET provides a stable time base on SMP
-	  systems, unlike the RTC, but it is more expensive to access,
-	  as it is off-chip.  You can find the HPET spec at
-	  <http://www.intel.com/labs/platcomp/hpet/hpetspec.htm>.
-
-	  If unsure, say Y.
-
-config HPET_EMULATE_RTC
-	bool "Provide RTC interrupt"
-	depends on HPET_TIMER && RTC=y
-
 config GENERIC_ISA_DMA
 	bool
 	default y
@@ -313,6 +296,21 @@ config NR_CPUS
 	  This is purely to save memory - each supported CPU requires
 	  memory in the static kernel configuration.
 
+config HPET_TIMER
+	bool
+	default y
+	help
+	  Use the IA-PC HPET (High Precision Event Timer) to manage
+	  time in preference to the PIT and RTC, if a HPET is
+	  present.  The HPET provides a stable time base on SMP
+	  systems, unlike the TSC, but it is more expensive to access,
+	  as it is off-chip.  You can find the HPET spec at
+	  <http://www.intel.com/labs/platcomp/hpet/hpetspec.htm>.
+
+config HPET_EMULATE_RTC
+	bool "Provide RTC interrupt"
+	depends on HPET_TIMER && RTC=y
+
 config GART_IOMMU
 	bool "IOMMU support"
 	depends on PCI
_
